> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe to monitoring



## OpenAPI

````yaml openapi/lending.yaml post /lending/monitor/subscribe
openapi: 3.0.3
info:
  title: TXCloud LendingRisk API
  version: 1.0.0
  description: |
    Credit risk assessment and affordability analysis for lending decisions.
    Aggregates data from bank statements, bureaus, and alternative sources.
servers:
  - url: https://api.txcloud.io/v1
  - url: https://sandbox.api.txcloud.io/v1
security:
  - BearerAuth: []
tags:
  - name: Assessment
    description: Credit assessment endpoints
  - name: Income
    description: Income verification
  - name: Statements
    description: Bank statement analysis
  - name: Monitoring
    description: Borrower monitoring
  - name: Models
    description: Scoring models
  - name: Analytics
    description: Portfolio analytics
paths:
  /lending/monitor/subscribe:
    post:
      tags:
        - Monitoring
      summary: Subscribe to monitoring
      operationId: subscribeMonitoring
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MonitorSubscription'
      responses:
        '201':
          description: Subscription created
components:
  schemas:
    MonitorSubscription:
      type: object
      required:
        - borrower_id
      properties:
        borrower_id:
          type: string
        loan_id:
          type: string
        alert_triggers:
          type: array
          items:
            type: string
        webhook_url:
          type: string
        check_frequency:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````